<?php

namespace App\Http\Controllers;

use App\Winner;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Carbon\Carbon;

class ApiController extends Controller
{
    public function testDB()
    {
        return config('database.connections.mysql');
    }

    public function insertWinners(Request $request)
    {
        try {
            Log::info(json_encode($request->all()));

            foreach ($request->winners ?? [] as $winner_key => $winner) {
                Winner::create([
                    'name' => $winner['NAME'],
                    'contact' => $winner['CONTACT'],
                    'city' => $winner['CITY'],
                    'product' => $winner['PRODUCT'],
                    'gift' => $winner['GIFT'],
                    'motorcycle_owned' => $winner['MOTORCYCLE'],
                    'insert_date' => $winner['DATE'] ?? 'unset',
                ]);
            }

            return response()->json([
                'status' => 'success',
                'message' => 'Uploaded!',
            ]);
        } catch (\Exception $e) {
            return response()->json([
                'status' => 'error',
                'message' => $e->getMessage(),
            ]);
        }
    }
}
