<?php

namespace App\Http\Controllers;

use App\Visitor;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class VlektraApiController extends Controller
{
    public function insertVisitors(Request $request)
    {
        try {
            Log::info(json_encode($request->all()));

            foreach ($request->visitors ?? [] as $visiter_key => $visiter) {
                Visitor::create([
                    'name' => $visiter['NAME'],
                    'email' => $visiter['EMAIL'],
                    'contact' => $visiter['CONTACT'],
                    'insert_date' => $visiter['DATE'] ?? 'unset',
                ]);
            }

            return response()->json([
                'status' => 'success',
                'message' => 'Uploaded!',
            ]);
        } catch (\Exception $e) {
            return response()->json([
                'status' => 'error',
                'message' => $e->getMessage(),
            ]);
        }
    }
}
