@extends('voyager::master')

@section('page_title', "Winners Report")

@section('page_header')
<div class="container-fluid">
    <h1 class="page-title">
        {{-- <i class="{{ $dataType->icon }}"></i> --}} Winners Report
    </h1>
</div>
@stop

@section('content')
<div class="page-content browse container-fluid">
    @include('voyager::alerts')
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-bordered">
                <div class="panel-body">
                    @foreach ($dates as $date)
                    <h2>{{ $date->insert_date }}</h2>
                    <div class="table-responsive">
                        <table id="dataTable" class="table table-hover">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Location</th>
                                    @foreach ($gifts as $gift)
                                    <th>{{ $gift->gift }}</th>
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($cities as $city)
                                <tr>
                                    <td>{{ $date->insert_date }}</td>
                                    <td>{{ $city->city }}</td>
                                    @foreach ($data->unique('gift') as $gift)
                                    @php
                                        $query = $data
                                            ->where('insert_date', $date->insert_date)
                                            ->where('gift', $gift->gift)
                                            ->where('city', $city->city);
                                        // ->where([
                                            // 'insert_date' => $date->insert_date,
                                            // 'gift' => $gift->gift,
                                            // 'city' => $city->city,
                                        // ]);
                                        // dump($query);
                                        $winners = $query->count() > 0 ? $query->first()->winners : 0;
                                    @endphp
                                    <td>{{ $winners }}</td>
                                    @endforeach
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
@stop

@section('css')
@stop

@section('javascript')
@stop
